Bug 85506 - sendmail BuildRequires db4-devel
sendmail BuildRequires db4-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-03 15:46 EST by Warren Togami
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-05 15:12:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-03-03 15:46:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030221

Description of problem:
sendmail BuildRequires db4-devel or it fails with the following message:

In file included from map.c:32:
../../include/sm/bdb.h:17:17: db.h: No such file or directory
map.c:44: parse error before "DBTYPE"
map.c: In function `bt_map_open':
map.c:1873: `BTREEINFO' undeclared (first use in this function)
map.c:1873: (Each undeclared identifier is reported only once
map.c:1873: for each function it appears in.)
map.c:1873: parse error before "btinfo"
map.c:1887: `btinfo' undeclared (first use in this function)
map.c:1893: `DB_BTREE' undeclared (first use in this function)
map.c: In function `hash_map_open':
map.c:1902: `HASHINFO' undeclared (first use in this function)
map.c:1902: parse error before "hinfo"
map.c:1916: `hinfo' undeclared (first use in this function)
map.c:1925: `DB_HASH' undeclared (first use in this function)
map.c: In function `db_map_open':
map.c:1933: parse error before "DBTYPE"
map.c:1944: `DB' undeclared (first use in this function)
map.c:1944: `db' undeclared (first use in this function)
map.c:2070: warning: implicit declaration of function `dbopen'
map.c: In function `db_map_lookup':
map.c:2245: `DBT' undeclared (first use in this function)
map.c:2245: parse error before "key"
map.c:2246: syntax error before '*' token
map.c:2255: `key' undeclared (first use in this function)
map.c:2256: `val' undeclared (first use in this function)
map.c:2284: `db' undeclared (first use in this function)
map.c:2308: `DB' undeclared (first use in this function)
map.c:2308: parse error before ')' token
map.c: In function `db_map_store':
map.c:2409: `DBT' undeclared (first use in this function)
map.c:2409: parse error before "key"
map.c:2411: syntax error before '*' token
map.c:2414: `key' undeclared (first use in this function)
map.c:2415: `data' undeclared (first use in this function)
map.c:2443: `db' undeclared (first use in this function)
map.c:2443: `R_NOOVERWRITE' undeclared (first use in this function)
map.c:2469: parse error before "old"
map.c:2471: `old' undeclared (first use in this function)
map.c: In function `db_map_close':
map.c:2514: syntax error before '*' token
map.c:2526: `db' undeclared (first use in this function)
make: *** [map.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.36596 (%build)

Version-Release number of selected component (if applicable):
sendmail-8.12.8-1.80 from Errata and probably Rawhide too
Comment 1 Florian La Roche 2003-03-05 13:59:45 EST
Why should this be a problem?

Thanks,

Florian La Roche
Comment 2 Warren Togami 2003-03-05 14:26:52 EST
Only a minor problem.  Proper BuildRequires will save developer time in the
future when their build fails and they try to figure out what went wrong.

In cases like these missing BuildRequires were added:
(bison and flex) Bug 80719, (libpng-devel) Bug 79623, (libelf-devel) Bug 82999

In some cases there was a good reason why it cannot be added:
(Glide3-devel) Bug 79623, (dietlibc) Bug 82271

You decide whether it is a good or bad idea to add the BuildRequires.
Comment 3 Florian La Roche 2003-03-05 15:12:32 EST
Oh, thanks to clear this up some more for me. Indeed db4-devel is a good thing
to add. I have also reworked the BuildRequires some more and my current
4a rpm is on http://people.redhat.com/laroche/ if you want to look at it.

Thanks a lot,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.